org.apache.solr.common.params

## Class DefaultSolrParams

- java.lang.Object
- - org.apache.solr.common.params.SolrParams
  - - org.apache.solr.common.params.DefaultSolrParams

- All Implemented Interfaces:
    Serializable, MapSerializable
  Direct Known Subclasses:
    AppendedSolrParams

      public class DefaultSolrParams
      extends SolrParams

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrParams` | `defaults`
    `protected SolrParams` | `params`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultSolrParams(SolrParams params, SolrParams defaults)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String param)` returns the String value of a param, or null if not set
    `Iterator<String>` | `getParameterNamesIterator()` returns an Iterator over the parameter names
    `String[]` | `getParams(String param)` returns an array of the String values of a param, or null if none
    `String` | `toString()` Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser.

    - ### Methods inherited from class org.apache.solr.common.params.SolrParams

      `fpname, get, getAll, getAll, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getLong, getLong, getPrimitiveBool, getPrimitiveFieldBool, getPrimitiveFieldFloat, getPrimitiveInt, required, toFilteredSolrParams, toMap, toMap, toMultiMap, toNamedList, toQueryString, toSolrParams, wrapAppended, wrapDefaults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected final SolrParams params

    - #### defaults

          protected final SolrParams defaults

  - ### Constructor Detail

    - #### DefaultSolrParams

          protected DefaultSolrParams(SolrParams params,
                                      SolrParams defaults)

  - ### Method Detail

    - #### get

          public String get(String param)

      Description copied from class: `SolrParams`
      returns the String value of a param, or null if not set
      Specified by:
        `get` in class `SolrParams`

    - #### getParams

          public String[] getParams(String param)

      Description copied from class: `SolrParams`
      returns an array of the String values of a param, or null if none
      Specified by:
        `getParams` in class `SolrParams`

    - #### getParameterNamesIterator

          public Iterator<String> getParameterNamesIterator()

      Description copied from class: `SolrParams`
      returns an Iterator over the parameter names
      Specified by:
        `getParameterNamesIterator` in class `SolrParams`

    - #### toString

          public String toString()

      Description copied from class: `SolrParams`
      Like `SolrParams.toQueryString()`, but only replacing enough chars so that the URL may be unambiguously pasted back into a browser. This method can be used to properly log query parameters without making them unreadable.

      Characters with a numeric value less than 32 are encoded. &,=,%,+,space are encoded.

      Overrides:
        `toString` in class `SolrParams`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.